{
"status": "error",
"message": "Too many requests. Max 120 per 60s.",
"data": null
}
Auth method: Basic (Access ID) — this endpoint only requires your
x-access-id header. No request signing is needed. See
Authentication.
Returns a page of active currencies. Use type=crypto for the cryptocurrencies customers can pay
with, or type=fiat for the fiat codes you can price payments in. If your outlet is restricted to
certain currencies, only those currencies are returned.Within a page, currencies are sorted by priority (lowest first); currencies without a priority
come last. System endpoints share a limit of 120 requests per minute. See
Rate limits.
Token contract address per chain (chain identifier to address), when isContract is
trueExample:{ "ethereum": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48" }
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Tender API Docs","colors":{"primary":"#16A34A","light":"#07C983","dark":"#15803D"},"logo":{"light":"https://mintcdn.com/bombatahabeebgmailcom/mcxCxs_8pzkO0xtV/images/light-icon.svg?fit=max\u0026auto=format\u0026n=mcxCxs_8pzkO0xtV\u0026q=85\u0026s=cda075c6bf5446dcf54eaf34790e6129","dark":"https://mintcdn.com/bombatahabeebgmailcom/mcxCxs_8pzkO0xtV/images/dark-icon.svg?fit=max\u0026auto=format\u0026n=mcxCxs_8pzkO0xtV\u0026q=85\u0026s=6c4948e4995170dbf8a78f32efd4df57"},"favicon":"https://mintcdn.com/bombatahabeebgmailcom/OnVfcdlhGF-H84R_/images/icon.png?fit=max\u0026auto=format\u0026n=OnVfcdlhGF-H84R_\u0026q=85\u0026s=34518dafb185bf64a0bb1ab9dfe9ae05","api":{"playground":{"display":"interactive","proxy":true},"examples":{"defaults":"all","languages":["curl","javascript","python","php"],"prefill":true,"autogenerate":true}},"navbar":{"links":[{"href":"mailto:support@tender.cash","label":"Support"}],"primary":{"type":"button","label":"Dashboard","href":"https://merchant.tender.cash"}},"footer":{"socials":{"x":"https://x.com/tender_cash","github":"https://github.com/tender-cash","linkedin":"https://www.linkedin.com/company/tender-merchant"}},"styling":{"latex":true},"navigation":{"global":{"anchors":[{"anchor":"GitHub","icon":"github","href":"https://github.com/tender-cash"},{"anchor":"API Reference","icon":"book","href":"/api-reference/endpoint/initiate-payment"}]},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"bombatahabeebgmailcom","hasAudioNarration":false,"actualSubdomain":"bombatahabeebgmailcom","customDomains":["docs.tender.cash"],"gitSource":{"type":"github","owner":"tender-cash","repo":"docs","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6add0c8d75a48754bd45b99f","collectionId":"cffc47dc-b092-4492-8e39-7a46212af57d","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6add0c8d75a48754bd45b99f"},"entitlements":{},"buildId":"6add0c8d75a48754bd45b99f","clientVersion":"0.0.4006","searchFilterCounts":[{"language":"default","tag":"API reference","count":50},{"language":"default","tag":"Guides","count":20},{"language":"default","tag":"Subwallets","count":12},{"language":"default","tag":"Getting started","count":11},{"language":"default","tag":"Conversions","count":9},{"language":"default","tag":"Webhooks","count":7},{"language":"default","tag":"Payouts","count":7},{"language":"default","tag":"Online payments","count":6},{"language":"default","tag":"Payment","count":5},{"language":"default","tag":"On-ramp","count":5}]},"assistantConfig":{"enableAskAiButton":false,"enableStarterQuestions":false,"enableAskAiSearchBar":true},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[],"googleFontsInlined":false},"customCss":[],"page":{"pagePath":"api-reference/endpoint/fetch-currencies","slug":"/api-reference/endpoint/fetch-currencies","pageMetadata":{"title":"Fetch All Currencies","description":"Retrieve the supported currencies, with their chain mappings","openapi":"GET /v1/api/system/currency","href":"/api-reference/endpoint/fetch-currencies"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Retrieve the supported currencies, with their chain mappings\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx,jsxs:_jsxs}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){const _components={a:`a`,code:`code`,p:`p`,pre:`pre`,span:`span`,strong:`strong`,..._provideComponents(),...props.components},{CodeBlock,Expandable,Heading,Note,ParamField,ResponseField}=_components;if(!CodeBlock)_missingMdxReference(`CodeBlock`,true);if(!Expandable)_missingMdxReference(`Expandable`,true);if(!Heading)_missingMdxReference(`Heading`,true);if(!Note)_missingMdxReference(`Note`,true);if(!ParamField)_missingMdxReference(`ParamField`,true);if(!ResponseField)_missingMdxReference(`ResponseField`,true);return _jsxs(_Fragment,{children:[_jsx(Note,{children:_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Auth method: Basic (Access ID)`}),` — this endpoint only requires your\n`,_jsx(_components.code,{children:`x-access-id`}),` header. No request signing is needed. See\n`,_jsx(_components.a,{href:`/api-reference/authentication#basic-access-id-authentication`,children:`Authentication`}),`.`]})}),`\n`,_jsxs(_components.p,{children:[`Returns a page of active currencies. Use `,_jsx(_components.code,{children:`type=crypto`}),` for the cryptocurrencies customers can pay\nwith, or `,_jsx(_components.code,{children:`type=fiat`}),` for the fiat codes you can price payments in. If your outlet is restricted to\ncertain currencies, only those currencies are returned.`]}),`\n`,_jsxs(_components.p,{children:[`Within a page, currencies are sorted by `,_jsx(_components.code,{children:`priority`}),` (lowest first); currencies without a priority\ncome last. System endpoints share a limit of 120 requests per minute. See\n`,_jsx(_components.a,{href:`/api-reference/rate-limits`,children:`Rate limits`}),`.`]}),`\n`,_jsx(Heading,{level:`2`,id:`headers`,children:`Headers`}),`\n`,_jsxs(ParamField,{header:`x-access-id`,type:`string`,required:true,id:`param-x-access-id`,children:[_jsx(_components.p,{children:`Your API access ID provided by Tender`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"your-access-id-here\"`})]})]}),`\n`,_jsx(Heading,{level:`2`,id:`query-parameters`,children:`Query Parameters`}),`\n`,_jsxs(ParamField,{query:`chains`,type:`string`,id:`param-chains`,children:[_jsx(_components.p,{children:`Comma-separated chain identifiers. Only currencies available on at least one of these chains are\nreturned.`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"tron,ethereum\"`})]})]}),`\n`,_jsxs(ParamField,{query:`type`,type:`string`,id:`param-type`,children:[_jsxs(_components.p,{children:[_jsx(_components.code,{children:`crypto`}),` or `,_jsx(_components.code,{children:`fiat`}),`. Omit to return both.`]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"crypto\"`})]})]}),`\n`,_jsxs(ParamField,{query:`page`,type:`number`,default:`1`,id:`param-page`,children:[_jsx(_components.p,{children:`Page number, starting at 1`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`1`})]})]}),`\n`,_jsxs(ParamField,{query:`limit`,type:`number`,default:`12`,id:`param-limit`,children:[_jsx(_components.p,{children:`Number of currencies per page`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`12`})]})]}),`\n`,_jsx(Heading,{level:`2`,id:`response`,children:`Response`}),`\n`,_jsxs(ResponseField,{name:`status`,type:`string`,required:true,id:`param-status`,children:[_jsx(_components.p,{children:`Status of the API request`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"success\"`})]})]}),`\n`,_jsxs(ResponseField,{name:`message`,type:`string`,required:true,id:`param-message`,children:[_jsx(_components.p,{children:`Human-readable message describing the result`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"success\"`})]})]}),`\n`,_jsxs(ResponseField,{name:`data`,type:`object`,required:true,id:`param-data`,children:[_jsx(_components.p,{children:`A page of currencies`}),_jsxs(Expandable,{title:`data properties`,children:[_jsxs(ResponseField,{name:`data`,type:`array`,id:`param-data-1`,children:[_jsx(_components.p,{children:`The currencies on this page`}),_jsxs(Expandable,{title:`currency object`,children:[_jsxs(ResponseField,{name:`id`,type:`string`,id:`param-id`,children:[_jsxs(_components.p,{children:[`Currency identifier. Use it as `,_jsx(_components.code,{children:`currency`}),` when initiating a payment (crypto) or as the\nfiat code in the path (fiat).`]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"usdc\"`})]})]}),_jsxs(ResponseField,{name:`name`,type:`string`,id:`param-name`,children:[_jsx(_components.p,{children:`Display name of the currency`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"USDC\"`})]})]}),_jsxs(ResponseField,{name:`icon`,type:`string`,id:`param-icon`,children:[_jsx(_components.p,{children:`URL of the currency icon`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"https://tender-store.s3.amazonaws.com/icons/usdc.png\"`})]})]}),_jsxs(ResponseField,{name:`symbol`,type:`string`,id:`param-symbol`,children:[_jsx(_components.p,{children:`Currency symbol`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"USDC\"`})]})]}),_jsxs(ResponseField,{name:`status`,type:`string`,id:`param-status-1`,children:[_jsxs(_components.p,{children:[`Currency status. Always `,_jsx(_components.code,{children:`active`}),` in this list.`]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"active\"`})]})]}),_jsxs(ResponseField,{name:`isContract`,type:`boolean`,id:`param-is-contract`,children:[_jsx(_components.p,{children:`Whether this is a token contract`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`true`})]})]}),_jsxs(ResponseField,{name:`chains`,type:`array`,id:`param-chains-1`,children:[_jsx(_components.p,{children:`Chain identifiers where this currency is available`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`[\"ethereum\", \"polygon\", \"tron\"]`})]})]}),_jsxs(ResponseField,{name:`priceTag`,type:`string`,id:`param-price-tag`,children:[_jsx(_components.p,{children:`Price identifier used for market data`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`\"usd-coin\"`})]})]}),_jsxs(ResponseField,{name:`fee`,type:`object`,id:`param-fee`,children:[_jsx(_components.p,{children:`Fee configuration per chain (chain identifier to fee string)`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`{ \"ethereum\": \"25\", \"tron\": \"3\" }`})]})]}),_jsxs(ResponseField,{name:`contractAddress`,type:`object`,id:`param-contract-address`,children:[_jsxs(_components.p,{children:[`Token contract address per chain (chain identifier to address), when `,_jsx(_components.code,{children:`isContract`}),` is\ntrue`]}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`{ \"ethereum\": \"0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48\" }`})]})]}),_jsxs(ResponseField,{name:`priority`,type:`number`,id:`param-priority`,children:[_jsx(_components.p,{children:`Display order; lower values first. Omitted when not set.`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`1`})]})]})]})]}),_jsxs(ResponseField,{name:`page`,type:`number`,id:`param-page-1`,children:[_jsx(_components.p,{children:`Current page number`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`1`})]})]}),_jsxs(ResponseField,{name:`pages`,type:`number`,id:`param-pages`,children:[_jsx(_components.p,{children:`Total number of pages`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`1`})]})]}),_jsxs(ResponseField,{name:`limit`,type:`number`,id:`param-limit-1`,children:[_jsx(_components.p,{children:`Currencies per page`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`12`})]})]}),_jsxs(ResponseField,{name:`total`,type:`number`,id:`param-total`,children:[_jsx(_components.p,{children:`Total number of matching currencies`}),_jsxs(_components.p,{children:[_jsx(_components.strong,{children:`Example:`}),` `,_jsx(_components.code,{children:`2`})]})]})]})]}),`\n`,_jsx(Heading,{level:`2`,id:`example-request`,children:`Example request`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`2`,language:`shellscript`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`shellscript`,children:_jsxs(_components.code,{language:`shellscript`,numberOfLines:`2`,children:[_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#953800`,\"--shiki-dark\":`#DCDCAA`},children:`curl`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"https://sandbox-api.tender.cash/v1/api/system/currency?type=crypto\u0026chains=tron\u0026page=1\u0026limit=12\"`}),_jsx(_components.span,{style:{color:`#CF222E`,\"--shiki-dark\":`#D7BA7D`},children:` \\\\`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:` -H`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:` \"x-access-id: your-access-id-here\"`})]}),`\n`]})})}),`\n`,_jsx(Heading,{level:`2`,id:`example-response`,children:`Example response`}),`\n`,_jsx(CodeBlock,{filename:``,numberOfLines:`46`,language:`json`,children:_jsx(_components.pre,{className:`shiki shiki-themes github-light-default dark-plus`,style:{backgroundColor:`#ffffff`,\"--shiki-dark-bg\":`#0B0C0E`,color:`#1f2328`,\"--shiki-dark\":`#D4D4D4`},language:`json`,children:_jsxs(_components.code,{language:`json`,numberOfLines:`46`,children:[_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`{`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"success\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"message\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"success\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"data\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"usdt\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"USDT\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"icon\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://tender-store.s3.amazonaws.com/icons/usdt.png\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"symbol\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"USDT\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"active\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"isContract\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"chains\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"ethereum\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"polygon\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"tron\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`],`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"priceTag\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"tether\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"fee\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"ethereum\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"25\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"polygon\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"3\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"tron\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"3\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"contractAddress\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"ethereum\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"0xdAC17F958D2ee523a2206206994597C13D831ec7\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"polygon\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"0xc2132D05D31c914a87C6611C10748AEb04B58e8F\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"tron\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"TR7NHqjeKQxGTCi8q8ZY4pL8otSzgjLj6t\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"priority\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` {`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"id\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"usdc\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"name\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"USDC\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"icon\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"https://tender-store.s3.amazonaws.com/icons/usdc.png\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"symbol\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"USDC\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"status\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"active\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"isContract\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#569CD6`},children:`true`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"chains\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: [`}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"ethereum\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"polygon\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"tron\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`],`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"priceTag\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"usd-coin\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"fee\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: { `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"ethereum\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"25\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"polygon\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"3\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`, `}),_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:`\"tron\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"3\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"contractAddress\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: {`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"ethereum\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"polygon\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"0x2791Bca1f2de4661ED88A30C99A7a9449Aa84174\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"tron\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0A3069`,\"--shiki-dark\":`#CE9178`},children:`\"TEkxiTehnzSmSe2XqrBj4w32RUN966rdz8\"`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` },`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"priority\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`2`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` ],`})}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"page\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"pages\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`1`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"limit\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`12`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`,`})]}),`\n`,_jsxs(_components.span,{className:`line`,children:[_jsx(_components.span,{style:{color:`#116329`,\"--shiki-dark\":`#9CDCFE`},children:` \"total\"`}),_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`: `}),_jsx(_components.span,{style:{color:`#0550AE`,\"--shiki-dark\":`#B5CEA8`},children:`2`})]}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:` }`})}),`\n`,_jsx(_components.span,{className:`line`,children:_jsx(_components.span,{style:{color:`#1F2328`,\"--shiki-dark\":`#D4D4D4`},children:`}`})}),`\n`]})})})]})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent};function _missingMdxReference(id,component){throw new Error(`Expected `+(component?`component`:`object`)+\" `\"+id+\"` to be defined: you likely forgot to import, pass, or provide it.\")}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Fetch All Currencies","description":"Retrieve the supported currencies, with their chain mappings","openapi":"GET /v1/api/system/currency","href":"/api-reference/endpoint/fetch-currencies"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[{"title":"Headers","slug":"headers","depth":2,"children":[]},{"title":"Query Parameters","slug":"query-parameters","depth":2,"children":[]},{"title":"Response","slug":"response","depth":2,"children":[]},{"title":"Example request","slug":"example-request","depth":2,"children":[]},{"title":"Example response","slug":"example-response","depth":2,"children":[]}],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Fetch All Currencies","description":"Retrieve the supported currencies, with their chain mappings","operationId":"getCurrencies","tags":["System"],"security":["9837a546-4727-44f0-af1a-e0116300b06d"],"parameters":["5462d2c6-7b64-40f4-8840-de692a840335","1cb1377a-cfed-4525-986b-e839083afb54","11499eed-55ac-4581-ad7d-9cdd9e14c655","ffacdc2e-99ab-41eb-8bc1-fc0436800959","40afa784-3a30-4c1a-a413-f77b5e720eb7"],"responses":{"200":"a12fc969-191f-4502-ad7b-d56981b846d4","401":"9c95c5e4-0880-4b29-abd0-72df1950f0fa","429":"95c57eca-9761-4005-aab2-6eff3a112fca"},"method":"get","type":"path","servers":["ec315635-8b74-4417-b93d-4ac28978e9b8","e02077cb-299e-4a7a-b32e-046e6b44408b"],"path":"/v1/api/system/currency","baseUrlOptions":["https://secureapi.tender.cash","https://sandbox-api.tender.cash"],"title":"Fetch All Currencies","codeSamples":[],"requestExampleLanguages":["bash","javascript","python","php"],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated","prefillPlaygroundWithExample":true,"prefillPlaygroundExamples":[]},"dependencies":{"parameters":{"5462d2c6-7b64-40f4-8840-de692a840335":{"name":"x-access-id","in":"header","required":true,"description":"Your API access ID provided by Tender","schema":{"type":"string","isRequired":true,"description":"Your API access ID provided by Tender","uniqueKey":"","typeLabel":"string"},"example":"your-access-id-here"},"1cb1377a-cfed-4525-986b-e839083afb54":{"name":"chains","in":"query","required":false,"description":"Comma-separated chain identifiers","schema":{"type":"string","isRequired":false,"description":"Comma-separated chain identifiers","uniqueKey":"","typeLabel":"string"},"example":"tron,ethereum"},"11499eed-55ac-4581-ad7d-9cdd9e14c655":{"name":"type","in":"query","required":false,"schema":{"type":"string","enum":["crypto","fiat"],"isRequired":false,"uniqueKey":"","typeLabel":"enum\u003cstring>"}},"ffacdc2e-99ab-41eb-8bc1-fc0436800959":{"name":"page","in":"query","required":false,"schema":{"type":"integer","default":1,"minimum":1,"isRequired":false,"uniqueKey":"","typeLabel":"integer"}},"40afa784-3a30-4c1a-a413-f77b5e720eb7":{"name":"limit","in":"query","required":false,"schema":{"type":"integer","default":12,"minimum":1,"isRequired":false,"uniqueKey":"","typeLabel":"integer"}}},"responses":{"a12fc969-191f-4502-ad7b-d56981b846d4":{"description":"Currencies","content":{"application/json":{"schema":{"type":"object","properties":{"status":{"type":"string","example":"success","uniqueKey":"status","typeLabel":"string"},"message":{"type":"string","example":"success","uniqueKey":"message","typeLabel":"string"},"data":{"type":"object","properties":{"data":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","example":"usdt","uniqueKey":"data.data.items.[INDEX].id","typeLabel":"string"},"name":{"type":"string","example":"USDT","uniqueKey":"data.data.items.[INDEX].name","typeLabel":"string"},"icon":{"type":"string","uniqueKey":"data.data.items.[INDEX].icon","typeLabel":"string"},"symbol":{"type":"string","example":"USDT","uniqueKey":"data.data.items.[INDEX].symbol","typeLabel":"string"},"status":{"type":"string","example":"active","uniqueKey":"data.data.items.[INDEX].status","typeLabel":"string"},"isContract":{"type":"boolean","uniqueKey":"data.data.items.[INDEX].isContract","typeLabel":"boolean"},"chains":{"type":"array","items":{"type":"string","uniqueKey":"data.data.items.[INDEX].chains.items.[INDEX]","typeLabel":"string"},"uniqueKey":"data.data.items.[INDEX].chains","typeLabel":"string[]"},"priceTag":{"type":"string","example":"tether","uniqueKey":"data.data.items.[INDEX].priceTag","typeLabel":"string"},"fee":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"data.data.items.[INDEX].fee.additionalProperties","typeLabel":"string"},"uniqueKey":"data.data.items.[INDEX].fee","typeLabel":"object"},"contractAddress":{"type":"object","additionalProperties":{"type":"string","uniqueKey":"data.data.items.[INDEX].contractAddress.additionalProperties","typeLabel":"string"},"uniqueKey":"data.data.items.[INDEX].contractAddress","typeLabel":"object"},"priority":{"type":"number","description":"Lower first; omitted when unset","uniqueKey":"data.data.items.[INDEX].priority","typeLabel":"number"}},"uniqueKey":"data.data.items.[INDEX]","typeLabel":"object"},"uniqueKey":"data.data","typeLabel":"object[]"},"page":{"type":"number","example":1,"uniqueKey":"data.page","typeLabel":"number"},"pages":{"type":"number","example":1,"uniqueKey":"data.pages","typeLabel":"number"},"limit":{"type":"number","example":12,"uniqueKey":"data.limit","typeLabel":"number"},"total":{"type":"number","example":2,"uniqueKey":"data.total","typeLabel":"number"}},"uniqueKey":"data","typeLabel":"object"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"status":"success","message":"success","data":{"data":[{"id":"usdt","name":"USDT","icon":"\u003cstring>","symbol":"USDT","status":"active","isContract":true,"chains":["\u003cstring>"],"priceTag":"tether","fee":{},"contractAddress":{},"priority":123}],"page":1,"pages":1,"limit":12,"total":2}}}},"exampleType":"generated"}},"exampleType":"generated"},"9c95c5e4-0880-4b29-abd0-72df1950f0fa":{"description":"Missing or unknown access ID","content":{"application/json":{"schema":{"type":"object","required":["status","message"],"properties":{"status":{"type":"string","enum":["error"],"isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"data":{"oneOf":[{"description":"Usually `null` or `{}`","uniqueKey":"data.oneOf.0","typeLabel":"any"},{"description":"Usually `null` or `{}`","type":"null","uniqueKey":"data.oneOf.1","typeLabel":"null"}],"uniqueKey":"data","typeLabel":"any | null"}},"uniqueKey":"","typeLabel":"object"},"example":{"status":"error","message":"INVALID_REQUEST_SIGNATURE","data":{}},"examples":{"Example":{"title":"Example","value":{"status":"error","message":"INVALID_REQUEST_SIGNATURE","data":{}}}},"exampleType":"examples"}},"exampleType":"examples"},"95c57eca-9761-4005-aab2-6eff3a112fca":{"description":"Too many requests","content":{"application/json":{"schema":{"type":"object","required":["status","message"],"properties":{"status":{"type":"string","enum":["error"],"isRequired":true,"uniqueKey":"status","typeLabel":"enum\u003cstring>"},"message":{"type":"string","isRequired":true,"uniqueKey":"message","typeLabel":"string"},"data":{"oneOf":[{"description":"Usually `null` or `{}`","uniqueKey":"data.oneOf.0","typeLabel":"any"},{"description":"Usually `null` or `{}`","type":"null","uniqueKey":"data.oneOf.1","typeLabel":"null"}],"uniqueKey":"data","typeLabel":"any | null"}},"uniqueKey":"","typeLabel":"object"},"example":{"status":"error","message":"Too many requests. Max 120 per 60s.","data":null},"examples":{"Example":{"title":"Example","value":{"status":"error","message":"Too many requests. Max 120 per 60s.","data":null}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"9837a546-4727-44f0-af1a-e0116300b06d":{"AccessIdAuth":{"type":"apiKey","in":"header","name":"x-access-id","description":"Basic (Access ID) authentication. Only the x-access-id header is required; no request signing.","scopes":[],"schemeName":"AccessIdAuth"}}},"servers":{"ec315635-8b74-4417-b93d-4ac28978e9b8":{"url":"https://secureapi.tender.cash","description":"Production Server"},"e02077cb-299e-4a7a-b32e-046e6b44408b":{"url":"https://sandbox-api.tender.cash","description":"Sandbox Server"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"apiKey","in":"header","name":"x-access-id","description":"Basic (Access ID) authentication. Only the x-access-id header is required; no request signing.","scopes":[],"schemeName":"AccessIdAuth"},"schema":{"title":"x-access-id","type":"string","description":"Basic (Access ID) authentication. Only the x-access-id header is required; no request signing.","isRequired":true,"typeLabel":"string","deprecated":false},"schemeName":"AccessIdAuth","name":"x-access-id"}],"title":"AccessIdAuth"}]},"originalFileLocation":"openapi.json"},"subdomain":"bombatahabeebgmailcom","siteName":"Tender API Docs","title":"Fetch All Currencies - Tender API Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-15T14:11:37.362Z","originalFileLocation":"api-reference/endpoint/fetch-currencies.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Retrieve the supported currencies, with their chain mappings\">\u003cmeta data-mint-head name=\"application-name\" content=\"Tender API Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/bombatahabeebgmailcom/v6ENOtGYag4X1G5d/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/bombatahabeebgmailcom/v6ENOtGYag4X1G5d/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/bombatahabeebgmailcom/v6ENOtGYag4X1G5d/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/bombatahabeebgmailcom/v6ENOtGYag4X1G5d/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/bombatahabeebgmailcom/v6ENOtGYag4X1G5d/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/bombatahabeebgmailcom/v6ENOtGYag4X1G5d/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/bombatahabeebgmailcom/v6ENOtGYag4X1G5d/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/bombatahabeebgmailcom/v6ENOtGYag4X1G5d/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/bombatahabeebgmailcom/v6ENOtGYag4X1G5d/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Fetch All Currencies - Tender API Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Retrieve the supported currencies, with their chain mappings\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Tender API Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.tender.cash/api-reference/endpoint/fetch-currencies\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://bombatahabeebgmailcom.mintlify.app/_mintlify/api/og/v2?division=System\u0026amp;title=Fetch+All+Currencies\u0026amp;description=Retrieve+the+supported+currencies%2C+with+their+chain+mappings\u0026amp;theme=6166f8c3311d79eb9939bfa3\u0026amp;signature=2d110abb25c6829ac095c4bfbadcc049c17807d871e0495c2bfc6c149a27c96c\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Fetch All Currencies - Tender API Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Retrieve the supported currencies, with their chain mappings\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://bombatahabeebgmailcom.mintlify.app/_mintlify/api/og/v2?division=System\u0026amp;title=Fetch+All+Currencies\u0026amp;description=Retrieve+the+supported+currencies%2C+with+their+chain+mappings\u0026amp;theme=6166f8c3311d79eb9939bfa3\u0026amp;signature=2d110abb25c6829ac095c4bfbadcc049c17807d871e0495c2bfc6c149a27c96c\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/bombatahabeebgmailcom/v6ENOtGYag4X1G5d/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Tender API Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#16A34A\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.tender.cash/api-reference/endpoint/fetch-currencies\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/endpoint/fetch-currencies.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.tender.cash/#organization\",\"name\":\"Tender API Docs\",\"url\":\"https://docs.tender.cash\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/bombatahabeebgmailcom/mcxCxs_8pzkO0xtV/images/light-icon.svg?fit=max\u0026auto=format\u0026n=mcxCxs_8pzkO0xtV\u0026q=85\u0026s=cda075c6bf5446dcf54eaf34790e6129\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.tender.cash#website\",\"name\":\"Tender API Docs\",\"url\":\"https://docs.tender.cash\",\"publisher\":{\"@id\":\"https://docs.tender.cash/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.tender.cash/api-reference/endpoint/fetch-currencies#webpage\",\"url\":\"https://docs.tender.cash/api-reference/endpoint/fetch-currencies\",\"name\":\"Fetch All Currencies\",\"description\":\"Retrieve the supported currencies, with their chain mappings\",\"dateModified\":\"2026-10-15T14:11:37.362Z\",\"isPartOf\":{\"@id\":\"https://docs.tender.cash#website\"},\"breadcrumb\":{\"@id\":\"https://docs.tender.cash/api-reference/endpoint/fetch-currencies#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.tender.cash/api-reference/endpoint/fetch-currencies#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"System\",\"item\":\"https://docs.tender.cash/api-reference/endpoint/fetch-chains\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Fetch All Currencies\",\"item\":\"https://docs.tender.cash/api-reference/endpoint/fetch-currencies\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.tender.cash/api-reference/endpoint/fetch-currencies#apireference\",\"headline\":\"Fetch All Currencies\",\"name\":\"Fetch All Currencies\",\"description\":\"Retrieve the supported currencies, with their chain mappings\",\"url\":\"https://docs.tender.cash/api-reference/endpoint/fetch-currencies\",\"mainEntityOfPage\":{\"@id\":\"https://docs.tender.cash/api-reference/endpoint/fetch-currencies#webpage\"},\"dateModified\":\"2026-10-15T14:11:37.362Z\",\"publisher\":{\"@id\":\"https://docs.tender.cash/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.tender.cash#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Tender API Docs\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"Tender API Docs","nav":{"global":{"anchors":[{"anchor":"GitHub","icon":"github","href":"https://github.com/tender-cash"},{"anchor":"API Reference","icon":"book","href":"/api-reference/endpoint/initiate-payment"}]},"tabs":[{"tab":"Guides","pages":[{"title":"Guides","href":""}]},{"tab":"API reference","groups":[{"group":"Payment","pages":[{"title":"Initiate Payment","openapi":"POST /v1/api/payment/initiate","href":"/api-reference/endpoint/initiate-payment"},{"title":"Initiate Payment By Fiat Currency","openapi":"POST /v1/api/payment/initiate/{currency}","href":"/api-reference/endpoint/initiate-payment-currency"},{"title":"Validate Payment","openapi":"POST /v1/api/payment/validate/{id}","href":"/api-reference/endpoint/validate-payment"},{"title":"Quote Payment","openapi":"POST /v1/api/payment/quote/{id}","href":"/api-reference/endpoint/quote-payment"},{"title":"Cancel Payment","openapi":"POST /v1/api/payment/cancel/{id}","href":"/api-reference/endpoint/cancel-payment"}]},{"group":"Transactions","pages":[{"title":"List Payment Internal Transactions","openapi":"GET /v1/api/transactions/{id}/internal","href":"/api-reference/endpoint/transactions/list-internal"},{"title":"Get Payment Internal Transaction","openapi":"GET /v1/api/transactions/{id}/internal/{internalId}","href":"/api-reference/endpoint/transactions/get-internal"}]},{"group":"System","pages":[{"title":"Fetch Allowed Chains","openapi":"GET /v1/api/system/chains","href":"/api-reference/endpoint/fetch-chains"},{"title":"Fetch Chain Currencies","description":"Retrieve currencies supported on a specific blockchain","openapi":"GET /v1/api/system/chains/{id}/currency","href":"/api-reference/endpoint/fetch-chain-currencies"},{"title":"Fetch All Currencies","openapi":"GET /v1/api/system/currency","href":"/api-reference/endpoint/fetch-currencies"},{"title":"Fetch Exchange Rates","description":"Get the current price of a cryptocurrency in USD and a fiat currency","openapi":"GET /v1/api/system/rates/{coin}","href":"/api-reference/endpoint/fetch-exchange-rates"}]},{"group":"Agents","pages":[{"title":"Create Outlet","openapi":"POST /v1/api/agent/create","href":"/api-reference/endpoint/agents/create"},{"title":"List Outlets","openapi":"GET /v1/api/agent","href":"/api-reference/endpoint/agents/list"}]},{"group":"Conversions","pages":[{"title":"List Conversions","openapi":"GET /v1/api/conversions","href":"/api-reference/endpoint/conversions/list"},{"title":"Conversion Stats","openapi":"GET /v1/api/conversions/stats","href":"/api-reference/endpoint/conversions/stats"},{"title":"Get Conversion","openapi":"GET /v1/api/conversions/{id}","href":"/api-reference/endpoint/conversions/get-one"},{"title":"List Conversion Internal Transactions","openapi":"GET /v1/api/conversions/{id}/internal","href":"/api-reference/endpoint/conversions/list-internal"},{"title":"Get Conversion Internal Transaction","openapi":"GET /v1/api/conversions/{id}/internal/{internalId}","href":"/api-reference/endpoint/conversions/get-internal"},{"title":"Calculate Conversion Fee","openapi":"GET /v1/api/conversions/fee/{chain}/{coin}/{amount}","href":"/api-reference/endpoint/conversions/fee"},{"title":"Swap-Enabled Chains","openapi":"GET /v1/api/conversions/swap/chains","href":"/api-reference/endpoint/conversions/swap-chains"},{"title":"Swap-Enabled Coins","openapi":"GET /v1/api/conversions/swap/coins","href":"/api-reference/endpoint/conversions/swap-coins"},{"title":"Create Conversion","openapi":"POST /v1/api/conversions","href":"/api-reference/endpoint/conversions/create"}]},{"group":"Payouts","pages":[{"title":"List Payouts","openapi":"GET /v1/api/payout","href":"/api-reference/endpoint/payouts/list"},{"title":"Get Payout","openapi":"GET /v1/api/payout/{id}","href":"/api-reference/endpoint/payouts/get-one"},{"title":"List Payout Internal Transactions","openapi":"GET /v1/api/payout/{id}/internal","href":"/api-reference/endpoint/payouts/list-internal"},{"title":"Get Payout Internal Transaction","openapi":"GET /v1/api/payout/{id}/internal/{internalId}","href":"/api-reference/endpoint/payouts/get-internal"},{"title":"Calculate Payout Fee","openapi":"GET /v1/api/payout/fee/{chain}/{coin}/{amount}","href":"/api-reference/endpoint/payouts/fee"},{"title":"Payout Crypto","openapi":"POST /v1/api/payout/crypto","href":"/api-reference/endpoint/payouts/crypto"},{"title":"Payout Fiat","openapi":"POST /v1/api/payout/fiat","href":"/api-reference/endpoint/payouts/fiat"}]},{"group":"Subwallets","pages":[{"title":"Create Wallet","openapi":"POST /v1/api/wallet","href":"/api-reference/endpoint/subwallets/create-wallet"},{"title":"List Wallets","openapi":"GET /v1/api/wallet","href":"/api-reference/endpoint/subwallets/list-wallets"},{"title":"Create Address","openapi":"POST /v1/api/wallet/address","href":"/api-reference/endpoint/subwallets/create-address"},{"title":"List Addresses","openapi":"GET /v1/api/wallet/{walletReference}/addresses","href":"/api-reference/endpoint/subwallets/list-addresses"},{"title":"Get Address Balance","openapi":"GET /v1/api/wallet/balance/{address}","href":"/api-reference/endpoint/subwallets/get-balance"},{"title":"Transfer Funds","openapi":"POST /v1/api/wallet/transfer","href":"/api-reference/endpoint/subwallets/transfer"},{"title":"Get Transfer Status","openapi":"POST /v1/api/wallet/transfer/status","href":"/api-reference/endpoint/subwallets/transfer-status"},{"title":"List Wallet Transactions","openapi":"GET /v1/api/wallet/{walletReference}/transactions","href":"/api-reference/endpoint/subwallets/list-transactions"},{"title":"Validate Address","openapi":"POST /v1/api/wallet/validate","href":"/api-reference/endpoint/subwallets/validate-address"},{"title":"Add Deposit Filter","openapi":"POST /v1/api/wallet/filter","href":"/api-reference/endpoint/subwallets/add-filter"},{"title":"Check Watched Address","openapi":"GET /v1/api/wallet/watch/{address}","href":"/api-reference/endpoint/subwallets/check-watched"}]},{"group":"Webhooks","pages":[{"title":"Add Webhook","openapi":"POST /v1/api/webhook","href":"/api-reference/endpoint/add-webhook"},{"title":"Fetch Webhook","openapi":"GET /v1/api/webhook","href":"/api-reference/endpoint/fetch-webhook"},{"title":"Delete Webhook","openapi":"DELETE /v1/api/webhook/{id}","href":"/api-reference/endpoint/delete-webhook"},{"title":"Get Webhook Logs","openapi":"GET /v1/api/webhook/logs","href":"/api-reference/endpoint/webhook-logs"},{"title":"List Webhook Events","openapi":"GET /v1/api/webhook/events","href":"/api-reference/endpoint/list-webhook-events"}]},{"group":"On-ramp","pages":[{"title":"Fetch On-ramp Chains","openapi":"GET /v1/api/onramp/chains","href":"/api-reference/endpoint/onramp/chains"},{"title":"Fetch On-ramp Coins","openapi":"GET /v1/api/onramp/coins","href":"/api-reference/endpoint/onramp/coins"},{"title":"Get On-ramp Quote","openapi":"POST /v1/api/onramp/quote","href":"/api-reference/endpoint/onramp/quote"},{"title":"Initiate On-ramp","openapi":"POST /v1/api/onramp/initiate","href":"/api-reference/endpoint/onramp/initiate"},{"title":"Get On-ramp Status","openapi":"GET /v1/api/onramp/{reference}","href":"/api-reference/endpoint/onramp/status"}]}]},{"tab":"SDKs","pages":[{"title":"SDKs","href":"/sdk/overview"}]}]},"title":"Fetch All Currencies - Tender API Docs","buildId":"dpl_2xiSHD9XEvLsPGPcfoMtkLTB3dy9","deploymentId":"dpl_2xiSHD9XEvLsPGPcfoMtkLTB3dy9","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-DmVyH30O.js","utils-BHQqGGOd.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-CD-E4BIt.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-Bp5Lq9Ds.js","snippetPresets-C4xAVCFP.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-CgXVLxUC.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-BF8I5oUf.js","shallow-Byd0lWnC.js","getApiPlaygroundDisplay-BGOZG1OK.js","CodeSnippet-CpvQL0CY.js","CodeSnippets-B8wkBKXa.js","Page-CBCH2P7b.js","getPastedJson-Ry3scI3Y.js","icon-D7a9HcdD.js","MethodPill-CJ8pmHhz.js","DuplicateIcon-rh1HJF0t.js","createIcon-DvGznqYs.js","DynamicMarkdown-Cc6AuSHS.js","SectionHeading-B4A0S-ep.js","axios-vUo_bRtp.js","Markdown-Cc16CX65.js","clsx-Cs6nMGht.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-zbf22OZA.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-C_fs-y5n.js"]}